I read somewhere that they were not compatible. Do you have any information to support this.